<input type="hidden" name="_id" value="{{ record._id }}" />
<div class="row">
    <div class="col-12 col-md-6">
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label><b>{{ "product_code"|normalize|title }}*</b></label>
                    <select name="formula_no" class="form-control" data-ajax-select-target="/api/v1/formulas/all?valid=True&fields=product_code,description,variant,standard_packing_per_piece,standard_specific_gravity" data-ajax-select-value="_id" data-ajax-select-label="product_code,description,variant" required data-ajax-select-selected="{{ record.formula_no.id }}" data-default-value="{{ record.formula_no.id }}" placeholder="-- Select Product Code --">
                        <option value="">-- Select Product Code --</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "manufacturing_order_no"|normalize|title }}*</label>
                    <input type="text" class="form-control" value="{{ record.manufacturing_order_no }}" readonly />
                </div>
            </div>
        </div>
    </div>
    <div class="col-12 col-md-6">
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "batch_size"|normalize|title }} (in kg)*</label>
                    <input type="number" name="batch_size" class="form-control" min="0" required value="{{ record.batch_size }}" data-default-value="{{ record.batch_size }}" />
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "batch_no"|normalize|title }}*</label>
                    <input type="text" name="batch_no" class="form-control" oninput="this.value = this.value.toUpperCase()" maxlength="32" required value="{{ record.batch_no }}" data-default-value="{{ record.batch_no }}" />
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "purchase_order_no"|normalize|title }}*</label>
                    <input type="text" name="purchase_order_no" class="form-control" oninput="this.value = this.value.toUpperCase()" maxlength="32" required value="{{ record.purchase_order_no }}" data-default-value="{{ record.purchase_order_no }}" />
                </div>
            </div>
        </div>
        <div class="row">
            {% if record.date_passed_to_manufacturing %}
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "date_passed_to_manufacturing"|normalize|title }}</label>
                    <input type="text" class="form-control" value="{{ record.date_passed_to_manufacturing|humandate }}" readonly />
                </div>
            </div>
            {% endif %}
        </div>
        <div class="row mt-3">
            <div class="col-4">
                <a href="{{ url_for('.print_summary', _id=record._id) }}"> Print Summary</a>
            </div>
            <div class="col-4">
                <a href="#"> Print Picking Slip</a>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-12">
        <h5>Raw Materials</h5>
        <table class="table table-striped table-hover table-bordered">
            <thead>
                <tr>
                    <th>Item Code</th>
                    <th>Description</th>
                    <th>Unit</th>
                    {% if editable %}
                        <th>%</th>
                        <th>Required</th>
                        <th>Stock on Hand</th>
                        <th>On Hold</th>
                        <th>Delta</th>
                    {% else %}
                        <th>Used</th>
                        <th>QC Nos</th>
                    {% endif %}
                </tr>
            </thead>
            <tbody data-materials{% if editable %}-editable{% endif %}-container="raw_materials"></tbody>
            {% if editable %}
            <tfoot>
                <tr>
                    <td>Total</td>
                    <td>--</td>
                    <td>--</td>
                    <td class="text-right">0</td>
                    <td class="text-right">0</td>
                    <td>--</td>
                    <td>--</td>
                    <td>--</td>
                </tr>
            </tfoot>
            {% endif %}
        </table>
    </div>
</div>
<div class="row">
    <div class="col-12">
        <h5>Packaging Materials</h5>
        <table class="table table-striped table-hover table-bordered">
            <thead>
                <tr>
                    <th>Item Code</th>
                    <th>Description</th>
                    <th>Unit</th>
                    {% if editable %}
                        <th>Pc</th>
                        <th>Required</th>
                        <th>Stock on Hand</th>
                        <th>On Hold</th>
                        <th>Delta</th>
                    {% else %}
                        <th>Used</th>
                        <th>QC Nos</th>
                    {% endif %}
                </tr>
            </thead>
            <tbody data-materials{% if editable %}-editable{% endif %}-container="packaging_materials"></tbody>
        </table>
    </div>
</div>
<script>
    $dom.document.ready(function() {
        {% if editable %}
        $('[data-crud="details"] .card-footer').showCustom();
        {% else %}
        $('[data-crud="details"] .card-footer').hideCustom();
        {% endif %}
    });
</script>
